org.apache.tomcat.websocket

## Class Util

- java.lang.Object
- - org.apache.tomcat.websocket.Util

-     public class Util
      extends Object

  Utility class for internal use only within the `org.apache.tomcat.websocket` package.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Util.DecoderMatch`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `coerceToType(Class<?> type, String value)`
    `static List<DecoderEntry>` | `getDecoders(List<Class<? extends Decoder>> decoderClazzes)`
    `static boolean` | `isPrimitive(Class<?> clazz)`
    `static void` | `parseExtensionHeader(List<Extension> extensions, String header)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isPrimitive

          public static boolean isPrimitive(Class<?> clazz)

    - #### coerceToType

          public static Object coerceToType(Class<?> type,
                            String value)

    - #### getDecoders

          public static List<DecoderEntry> getDecoders(List<Class<? extends Decoder>> decoderClazzes)
                                                throws DeploymentException

      Throws:
        `DeploymentException`

    - #### parseExtensionHeader

          public static void parseExtensionHeader(List<Extension> extensions,
                                  String header)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.